package com.example.mdd.job;

import com.example.mdd.service.XMODownload;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;


@Slf4j
@Service
@EnableScheduling
public class DownloadXMO {
    @Resource
    XMODownload xmoDownload;

    //xmo天气 从0点开始 每3小时调用一次
    //@Scheduled(fixedDelay = 600000)
    @Scheduled(cron = "0 0 0/3 * * *")
    public void download() {
        xmoDownload.download();
    }
}
