package com.example.mdd.entity;

import lombok.Data;

@Data
public class XMO {
    String id;
    String stationCode;
    String time;
    //风速（10米）。距离地面10米的风速。
    String windSpeed10m;
    //雨量
    String rain;
    //露点（2米）。距离地面 2 米处的露点温度。
    String dewPoint2m;
    //降雪量
    String snowfall;
    //阵风（10米）。使用距离地面10米处的前一小时的最大值。 前 15 分钟最大值
    String windDirection10m;
    //相对湿度（2米）。距离地面2米的相对湿度。
    String relativeHumidity2m;
    //风向（10米）。距离地面10米的风向。
    String windGusts10m;
    //温度 (2米)
    String temperature2m;
    //降水量。使用前15分钟的总降水量（雨、阵雨、雪）。 前 15 分钟总和
    String precipitation;
    //体感温度。是结合风寒系数、相对湿度和太阳辐射的感知温度
    String apparentTemperature;
    //天气代码。以数字代码表示的天气状况。遵循WMO天气解释代码。
    String weatherCode;
    //日照时长。
    String sunshineDuration;
    //短波太阳辐射GHI。
    String shortwaveRadiation;
    //直接太阳辐射。
    String directRadiation;
    //直接法向辐照度DNI。
    String directNormalIrradiance;
    //漫射太阳辐射DHI。
    String diffuseRadiation;
    //全球倾斜辐射GTI。
    String globalTiltedIrradiance;
    //地球太阳辐射。
    String terrestrialRadiation;
    //数据创建时间
    String createTime;
}
